## AgsExportThread

AgsExportThread — export thread

## Stability Level

Stable, unless otherwise indicated

## Functions

gboolean | ags_export_thread_test_flags ()
void | ags_export_thread_set_flags ()
void | ags_export_thread_unset_flags ()
AgsExportThread * | ags_export_thread_find_soundcard ()
AgsExportThread * | ags_export_thread_new ()

## Properties

AgsAudioFile * | audio-file | Read / Write
GObject * | soundcard | Read / Write
guint | tic | Read / Write

## Types and Values

#define | AGS_EXPORT_THREAD_DEFAULT_JIFFIE
enum | AgsExportThreadFlags

## Object Hierarchy

        GObject
        ╰── AgsThread
            ╰── AgsExportThread

## Includes

    #include <ags/audio/thread/ags_export_thread.h>

## Description

The AgsExportThread acts as audio output thread to file.

## Functions

### ags_export_thread_test_flags ()

    gboolean
    ags_export_thread_test_flags (AgsExportThread *export_thread,
                                  AgsExportThreadFlags flags);

Test `flags` to be set on `export_thread` .

#### Parameters

export_thread | the AgsExportThread |
flags | the flags |

#### Returns

`TRUE` if flags are set, else `FALSE`

Since: 4.4.1

### ags_export_thread_set_flags ()

    void
    ags_export_thread_set_flags (AgsExportThread *export_thread,
                                 AgsExportThreadFlags flags);

Enable a feature of `export_thread` .

#### Parameters

export_thread | the AgsExportThread |
flags | see AgsExportThreadFlags |

Since: 4.4.1

### ags_export_thread_unset_flags ()

    void
    ags_export_thread_unset_flags (AgsExportThread *export_thread,
                                   AgsExportThreadFlags flags);

Disable a feature of `export_thread` .

#### Parameters

export_thread | the AgsExportThread |
flags | see AgsExportThreadFlags |

Since: 4.4.1

### ags_export_thread_find_soundcard ()

    AgsExportThread *
    ags_export_thread_find_soundcard (AgsExportThread *export_thread,
                                      GObject *soundcard);

#### Parameters

export_thread | the AgsExportThread |
soundcard | the AgsSoundcard to find |

#### Returns

the matching AgsExportThread, if not found `NULL`.

[transfer full]

Since: 3.0.0

### ags_export_thread_new ()

    AgsExportThread *
    ags_export_thread_new (GObject *soundcard,
                           AgsAudioFile *audio_file);

Create a new instance of AgsExportThread.

#### Parameters

soundcard | the AgsSoundcard |
audio_file | the output file |

#### Returns

the new AgsExportThread

Since: 3.0.0

## Types and Values

### AGS_EXPORT_THREAD_DEFAULT_JIFFIE

    #define AGS_EXPORT_THREAD_DEFAULT_JIFFIE (ceil(AGS_SOUNDCARD_DEFAULT_SAMPLERATE / AGS_SOUNDCARD_DEFAULT_BUFFER_SIZE) + AGS_SOUNDCARD_DEFAULT_OVERCLOCK) // same as soundcard thread

### enum AgsExportThreadFlags

Enum values to control the behavior or indicate internal state of AgsExportThread by enable/disable as flags.

#### Members

AGS_EXPORT_THREAD_LIVE_PERFORMANCE | do live export |
AGS_EXPORT_THREAD_IS_EXPORTING | is exporting |

## Property Details

### The `“audio-file”` property

      “audio-file”               AgsAudioFile *

The assigned AgsAudioFile.

Owner: AgsExportThread

Flags: Read / Write

Since: 3.0.0

### The `“soundcard”` property

      “soundcard”                GObject *

The assigned AgsSoundcard.

Owner: AgsExportThread

Flags: Read / Write

Since: 3.0.0

### The `“tic”` property

      “tic”                      guint

The tic.

Owner: AgsExportThread

Flags: Read / Write

Default value: 0

Since: 3.0.0